/**
 * Created by baoyinghai on 6/22/17.
 */
import React from 'react';
import {Radar} from 'react-chartjs-2';

const data = {
  labels: ['Eating', 'Drinking', 'Sleeping', 'Designing', 'Coding', 'Cycling', 'Running'],
  datasets: [
    {
      label: 'My First dataset',
      backgroundColor: 'rgba(179,181,198,0.2)',
      borderColor: 'rgba(179,181,198,1)',
      pointBackgroundColor: 'rgba(179,181,198,1)',
      pointBorderColor: '#fff',
      pointHoverBackgroundColor: '#fff',
      pointHoverBorderColor: 'rgba(179,181,198,1)',
      data: [65, 59, 90, 81, 56, 55, 40]
    },
    {
      label: 'My Second dataset',
      backgroundColor: 'rgba(255,99,132,0.2)',
      borderColor: 'rgba(255,99,132,1)',
      pointBackgroundColor: 'rgba(255,99,132,1)',
      pointBorderColor: '#fff',
      pointHoverBackgroundColor: '#fff',
      pointHoverBorderColor: 'rgba(255,99,132,1)',
      data: [28, 48, 40, 19, 96, 27, 100]
    }
  ]
};

export default class MXRadar extends React.Component {

  render() {
    const { width, height } = this.props;
    return (
      <div>
        <Radar data={data} width={width} height={height - 15} />
      </div>
    );
  }

}


export const RadarSetting = {
  getKeys: keys => keys,
  setFormItems: (key, setting) => {
    return {
      key,
      label: key,
      comp: <Input />,
      initData: (setting && setting[key]) || key
    };
  }
};